Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.inference.gbp
Interface MessageStrategy

All Known Implementing Classes:
  AbstractMessageStrategy, FullMessageStrategy, SparseMessageSender

    public interface MessageStrategy

Created: May 29, 2005

Version:
  $Id: MessageStrategy.java,v 1.1 2007/10/22 21:37:58 mccallum Exp $
Author:

  Method Summary
  `cc.mallet.grmm.inference.gbp.MessageArray` | `averageMessages(cc.mallet.grmm.inference.gbp.RegionGraph rg, cc.mallet.grmm.inference.gbp.MessageArray oldMessages, cc.mallet.grmm.inference.gbp.MessageArray newMessages, double weight)`
  `cc.mallet.grmm.inference.gbp.MessageArray` | `getNewMessages()`
  `cc.mallet.grmm.inference.gbp.MessageArray` | `getOldMessages()`
  `void` | `sendMessage(cc.mallet.grmm.inference.gbp.RegionEdge edge)`
  `void` | `setMessageArray(cc.mallet.grmm.inference.gbp.MessageArray oldMessages, cc.mallet.grmm.inference.gbp.MessageArray newMessages)`

  Method Detail

  ### sendMessage

      void sendMessage(cc.mallet.grmm.inference.gbp.RegionEdge edge)

  ### setMessageArray

      void setMessageArray(cc.mallet.grmm.inference.gbp.MessageArray oldMessages,
                           cc.mallet.grmm.inference.gbp.MessageArray newMessages)

  ### getOldMessages

      cc.mallet.grmm.inference.gbp.MessageArray getOldMessages()

  ### getNewMessages

      cc.mallet.grmm.inference.gbp.MessageArray getNewMessages()

  ### averageMessages

      cc.mallet.grmm.inference.gbp.MessageArray averageMessages(cc.mallet.grmm.inference.gbp.RegionGraph rg,
                                                                cc.mallet.grmm.inference.gbp.MessageArray oldMessages,
                                                                cc.mallet.grmm.inference.gbp.MessageArray newMessages,
                                                                double weight)

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD